Bug 3403 - Mounting ncp filesystem fails on boot
: Mounting ncp filesystem fails on boot
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/startup)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-25 09:16 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-25 09:16:47
Монтирование файловых систем Novell Netware оканчивается неудачей - во время
монтирования еще не поднят интерфейс eth0, в связи с чем получаем ошибку
"Сервер
не найден".
------- Comment #1 From 2003-12-26 10:36:23 -------
Во время загрузки выводится следующее сообщение:

Mounting local filesystems: mount.ncp: Server not found (0x8847) when trying to
find SERVERNAME [FAILED]

На самом деле после загрузки файловые системы Novell монтируются.
Это вводит пользователей в заблуждение.
------- Comment #2 From 2005-03-09 14:45:24 -------
Не похоже, чтобы это имело отношение к пакету startup.
------- Comment #3 From 2005-03-09 15:48:40 -------
(In reply to comment #2)
> Не похоже, чтобы это имело отношение к пакету startup.

rc.sysinit: Line 395:
action "Mounting local filesystems:" mount -a -t nonfs,smbfs,ncpfs,proc,loop

Скорее, это проблема mount, если оно не работает так, как описано в man ...
------- Comment #4 From 2005-03-09 16:30:50 -------
расскажите пожайлуста поподробнее в чём ошибка mount.
------- Comment #5 From 2005-03-09 16:32:24 -------
Понятно, просто тип файловой системы был указан как "ncp" вместо "ncpfs".
Надо будет расширить список нелокальных файловых систем.
------- Comment #6 From 2005-03-09 16:39:26 -------
Fixed in 0.9.3-alt1